xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
xmlencryption::Encrypter::EncryptionParams Struct Reference

Structure to collect encryption requirements. More...

`#include <xmltooling/encryption/Encrypter.h>`

## Public Member Functions
| EncryptionParams (const XMLCh *algorithm=DSIGConstants::s_unicodeStrURI3DES_CBC, const unsigned char *keyBuffer=0, unsigned int keyBufferSize=0, const xmltooling::Credential *credential=0, bool compact=false)
| Constructor. More...

## Public Attributes
const XMLCh * | m_algorithm
| Data encryption algorithm. More...
const unsigned char * | m_keyBuffer
| Buffer containing encryption key. More...
unsigned int | m_keyBufferSize
| Size of buffer. More...
const xmltooling::Credential * | m_credential
| Credential containing the encryption key. More...
bool | m_compact
| Flag limiting the size of the encrypted XML representation. More...

## Detailed Description

Structure to collect encryption requirements.

## Constructor & Destructor Documentation

xmlencryption::Encrypter::EncryptionParams::EncryptionParams | ( | const XMLCh * | algorithm = `DSIGConstants::s_unicodeStrURI3DES_CBC`,
|  | const unsigned char * | keyBuffer = `0`,
|  | unsigned int | keyBufferSize = `0`,
|  | const xmltooling::Credential * | credential = `0`,
|  | bool | compact = `false`
| ) |  |

Constructor.

The algorithm constant and key buffer MUST be accessible for the life of the structure.

Parameters

  algorithm | the XML Encryption algorithm constant
  keyBuffer | buffer containing the raw key information
  keyBufferSize | the size of the raw key buffer in bytes
  credential | optional Credential supplying the encryption key
  compact | true iff the encrypted representation should be made as small as possible

## Member Data Documentation

const XMLCh* xmlencryption::Encrypter::EncryptionParams::m_algorithm

Data encryption algorithm.

bool xmlencryption::Encrypter::EncryptionParams::m_compact

Flag limiting the size of the encrypted XML representation.

const xmltooling::Credential* xmlencryption::Encrypter::EncryptionParams::m_credential

Credential containing the encryption key.

const unsigned char* xmlencryption::Encrypter::EncryptionParams::m_keyBuffer

Buffer containing encryption key.

unsigned int xmlencryption::Encrypter::EncryptionParams::m_keyBufferSize

Size of buffer.

The documentation for this struct was generated from the following file:

- xmltooling/encryption/Encrypter.h